DtEditorAppendFromFile(library call)

NAME
DtEditorAppendFromFile — append data from a file into a DtEditor widget

SYNOPSIS

#include &<Dt/Editor.h>
DtEditorErrorCode DtEditorAppendFromFile(
Widget widget,
char *fileName);

DESCRIPTION

DtEditorAppendFromFile function appends data from a file to after the last character in a DtEditor widget. After the data is appended, the insertion cursor is positioned at the new last character.

The widget argument specifies the DtEditor widget ID.

The fileName argument is the pathname of the file relative to the local system.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

Upon successful completion, the DtEditorAppendFromFile function returns one of the following values:

DtEDITOR_NO_ERRORS
    The file is readable and writable.

DtEDITOR_READ_ONLY_FILE
    The file is read only.

DtEDITOR_NULLS_REMOVED
    The file contained embedded NULL characters, which were removed.

Otherwise, if the DtEditorAppendFromFile function cannot append the data into the DtEditor widget, it returns one of the following values:

DtEDITOR_NONEXISTENT_FILE
    The file does not exist.

DtEDITOR_DIRECTORY
    The file is a directory.

DtEDITOR_CHAR_SPECIAL_FILE
    The file is a character-special device.

DtEDITOR_BLOCK_MODE_FILE
    The file is a block-mode device.

DtEDITOR_NO_FILE_ACCESS
    The file cannot be accessed.

DtEDITOR_INSUFFICIENT_MEMORY
    Not enough system memory is available to append the file.

DtEDITOR_UNREADABLE_FILE
    The file is unreadable for an unspecified reason.

APPLICATION USAGE

If the data is in memory, rather than a disk file, the application should use DtEditorAppend(3).

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3), DtEditorAppend(3). DtEditorGetContents(3), DtEditorInsert(3), DtEditorInsertFromFile(3), DtEditorReplace(3), DtEditorReplaceFromFile(3), DtEditorSaveContentsToFile(3), DtEditorSetContents(3), DtEditorSetContentsFromFile(3).